use utoipa::OpenApi;

fn main() {
    let out = api::openapi::OpenApiDoc::openapi().to_pretty_json();
    if let Ok(out) = out {
        std::fs::write("openapi.json", out).unwrap();
    } else {
        panic!("Failed to generate openapi.json");
    }
    std::process::exit(0);
}
